Subject: IBIS question - 100 points in a table

From: Stephen Nolan <[email-masked]>
Date: Wed, 19 Jul 2000 08:10:53 -0500

IBIS gurus, another puzzling question:

In IBIS 3.2 spec, the 100 points limit is worded as follows:

|               All four columns are required under these keywords.  However,
|               data is only required in the typical column.  If minimum
|               and/or maximum current values are not available, the reserved
|               word "NA" must be used.  "NA" can be used for currents in the
|               typical column, but numeric values MUST be specified for the
|               first and last voltage points on any I-V table.  Each I-V
|               table must have at least 2, but not more than 100, voltage
|               points.

When doing the best-100 points data-reduction algorithm, the data points that
are included should have the highest density around the areas of inflection in
the curves. However the inflection points for each of the three curves (typ,
min, max) might not be coincident on the x axis.

So the way I read this, if you have reduced the data to the best 100 points for
each curve, the x axis points may not be coincident for y axis data points on
each of the three curves. Therefore you will likely have several rows with data
points in only one of the three columns and NA in the other two.

Example:
|	V	Ityp	Imin	Imax
	-5	DATA	DATA	DATA	|The first line must always have data
	-4.9	DATA	NA	NA	|in all three columns.
	...
	-4.5	NA	DATA	NA
	...
	-4.1	NA	NA	DATA
	...
	10	DATA	DATA	DATA	|Last line must have data in all 3.

Now the question is in the interpretation of the line "Each I-V table must have
at least 2, but not more than 100, voltage points."

Does this mean that each aggregate table can only have a maximum of 100 rows of
data (100 x axis points)? Or does this mean that each column in the table can
contain a maximum of 100 y axis points? 

If the former, then you might end up with less than 33 useable data points in
any one of the three columns. If the latter, then you would have a full 100 data
points in each column, but the aggregate table would almost assuredly contain
more than 100 rows.

Thanks.	
-- 
Regards,
Stephen M. Nolan

---

From: "Muranyi, Arpad" <[email-masked]>
Date: Wed, 19 Jul 2000 08:02:44 -0700

Stephen,

This is exactly the same question I asked many years ago.
The specification does not say anything about it.  When I
brought it up in the Open Forum Teleconference, I believe
the answer was that to be safe we should count the X-axis
numbers.  That is what my program (Ibis Center) does.

However, I agree, that this way we may only get 33 points
in the Y-axis in the worst case, and I agree we should allow
100 points in the Y-axis.  However, the parser does not allow
that, even though in my opinion it is still legal according
to the spec.  That is why I have my algorithm written so that
with the flip of an internal constant I can count Y-axis numbers.

We did address this issue recently, when the 100 points
limitation came up again.  As a minimum, I would suggest that
we should count Y-axis numbers, but some also suggested that
we should eliminate this all together.

Arpad Muranyi
Intel Corporation
===============================================================

-----Original Message-----
From: Stephen Nolan [mailto:[email-masked]]
Sent: Wednesday, July 19, 2000 6:11 AM
To: [email-masked]
Subject: IBIS question - 100 points in a table

|               All four columns are required under these keywords.
However,
|               data is only required in the typical column.  If minimum
|               and/or maximum current values are not available, the
reserved
|               word "NA" must be used.  "NA" can be used for currents in
the
|               typical column, but numeric values MUST be specified for the
|               first and last voltage points on any I-V table.  Each I-V
|               table must have at least 2, but not more than 100, voltage
|               points.

When doing the best-100 points data-reduction algorithm, the data points
that
are included should have the highest density around the areas of inflection
in
the curves. However the inflection points for each of the three curves (typ,
min, max) might not be coincident on the x axis.

So the way I read this, if you have reduced the data to the best 100 points
for
each curve, the x axis points may not be coincident for y axis data points
on
each of the three curves. Therefore you will likely have several rows with
data
points in only one of the three columns and NA in the other two.

Example:
|	V	Ityp	Imin	Imax
	-5	DATA	DATA	DATA	|The first line must always have
data
	-4.9	DATA	NA	NA	|in all three columns.
	...
	-4.5	NA	DATA	NA
	...
	-4.1	NA	NA	DATA
	...
	10	DATA	DATA	DATA	|Last line must have data in all 3.

Now the question is in the interpretation of the line "Each I-V table must
have
at least 2, but not more than 100, voltage points."

Does this mean that each aggregate table can only have a maximum of 100 rows
of
data (100 x axis points)? Or does this mean that each column in the table
can
contain a maximum of 100 y axis points? 

If the former, then you might end up with less than 33 useable data points
in
any one of the three columns. If the latter, then you would have a full 100
data
points in each column, but the aggregate table would almost assuredly
contain
more than 100 rows.

Thanks.	
-- 
Regards,
Stephen M. Nolan